
Infrastructure - Story #7713

d1DebConfig.xml should be versioned in dataone-cn-os-core

2016-04-11 15:04 - Robert Waltz

Status: New Start date: 2016-04-11

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

A version attribute should be added to the type debConfType in dataoneDebuPkgConfigTypes.xsd.

This will allow the debConfig root element to be versioned such that when dataone-cn-os-core is updated/installed, there is a better

way to differentiate between the file located on releases website: 

https://releases.dataone.org/debian/conf/d1DebConfig.xml

and the one stored on the filesystem:

/etc/dataone/d1DebConfig.xml

The intention of having an up-to-date version on releases.dataone.org is to be able to reconfigure the dataone without having to

re-install dataone-cn-os-core

The xml schema file will also need to be  updated and versioned

History

#1 - 2018-01-17 19:24 - Dave Vieglais

- Assignee changed from Robert Waltz to Rob Nahf

#2 - 2018-01-17 19:24 - Dave Vieglais

- Sprint set to Infrastructure backlog
